GET
/api/v1/container_registry/replication/policies/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/replication/policies/?cr_project_id=<CR_PROJECT_ID>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/container_registry/replication/policies/", params={"cr_project_id": "<CR_PROJECT_ID>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/container_registry/replication/policies/");url.search = new URLSearchParams({ cr_project_id: "<CR_PROJECT_ID>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
cr_project_id
required
integer
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Replication policy fetched successfully.
Media typeapplication/json
object
code
integer
data
Array<object>
object
policy_name
string
policy_id
integer
source_registry_id
integer
source_registry_name
string
destination_namespace
string
destination_namespace_replace_count
integer
policy_description
string
trigger_type
string
trigger_value
string
replicate_deletion
boolean
override
boolean
enabled
boolean
customer
integer
project
integer
created_at
string format: date-time
updated_at
string format: date-time
deleted_at
string format: date-time
errors
object
key
additional properties
message
string
Example
{ "code": 200, "data": [ { "policy_name": "replication-rule", "policy_id": 34, "source_registry_id": 50, "source_registry_name": "docker-source", "destination_namespace": "cr-12345", "destination_namespace_replace_count": -1, "policy_description": null, "trigger_type": "manual", "trigger_value": null, "replicate_deletion": false, "override": true, "enabled": true, "customer": 12345, "project": 123, "created_at": "2025-04-29T10:16:03.612678Z", "updated_at": "2025-04-29T10:16:03.612789Z", "deleted_at": null } ], "errors": {}, "message": "Replication Policy fetched Successfully"}